
<template>
  <div class="bg-primary">
    <h1 class="text-xl font-bold text-tertiary">{{ $t("intro") }}</h1>

    <h2
      id="fancy"
      ref="fancy"
      @click="behold"
      class="
        font-bold
        italic
        text-tertiary
        transition-color
        duration-500
        ease-in
      "
    >
      <!-- {{ $t("catchUpPhrase") }} -->
    </h2>
  </div>
</template>

<script>
import marked from "marked";

export default {
  name: "intro",
  mounted: function () {
    this.behold();
  },
  data: () => {
    return {
      input: "# hello",
      isGettingFancy: true,
      timer: null,
      output: "",
    };
  },
  methods: {
    behold() {
      if (this.isGettingFancy) {
        this.timer = setInterval(() => {
          const randomColor = Math.floor(
            Math.random() * (16777215 - 1052688) + 1052688
          ).toString(16);
          this.$refs.fancy.style.color = `#${randomColor}`;
        }, 750);
      } else {
        clearInterval(this.timer);
      }
      this.isGettingFancy = !this.isGettingFancy;
    },
    update(e) {
      this.input = e.target.value;
    }
  },
  computed: {
    compiledMarkdown: function () {
      return marked(this.input, { sanitize: true });
    },
  },
};
</script>

<style>
</style>